# Pydantic Dynamic Models

This project provides a flexible and powerful way to create dynamic Pydantic models based on template strings. It allows you to define model structures on-the-fly, with support for field descriptions, substitutions, and easy text generation from model instances.

## Features

- Create Pydantic models dynamically from template strings
- Support for field descriptions and type annotations
- Flexible substitution system for template customization
- Generate text from model instances
- Type hinting and validation through Pydantic

## Installation

To use this project, make sure you have Pydantic installed:

```bash 
pip install template-models
```

